Support » Plugin: WP e-Commerce Shop Styling » [solution proposed] incompatibility with strict MIME security policy

  • Hello,

    The file wp-ecommerce-shop-styling/js/editor.js.php is incompatible with strict MIME security policy. Meaning that javascript cannot be executed from a file returned with an incompatible MIME type (here text/html).
    (see X-Content-Type-Options:nosniff)
    As a consequence the visual editor is broken when editing page in the admin section.
    This, because the .js generated is not executed.
    Adding header('Content-Type: application/javascript'); at the beginning of the file does fix the problem.

    regards,
    Vincent

  • The topic ‘[solution proposed] incompatibility with strict MIME security policy’ is closed to new replies.